depEnrollmentProfile の更新

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

depEnrollmentProfile オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementServiceConfig.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementServiceConfig.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles/{enrollmentProfileId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、 depEnrollmentProfile オブジェクトの JSON 表記を指定 します。

次の表に、 depEnrollmentProfile を作成するときに必要なプロパティを示します

プロパティ 説明
id 文字列 オブジェクトの GUID enrollmentProfile から継承
displayName 文字列 プロファイルの名前 enrollmentProfile から継承
説明 String プロファイルの説明 enrollmentProfile から継承
requiresUserAuthentication Boolean プロファイルでユーザー認証が必要かどうかを示します 。enrollmentProfile から継承
configurationEndpointUrl String 登録に使用する構成エンドポイントの URL enrollmentProfile から継承
enableAuthenticationViaCompanyPortal ブール値 Apple セットアップ アシスタントを使用して認証を行う代わりに、認証を行ポータル サイト。 enrollmentProfile から継承
requireCompanyPortalOnSetupAssistantEnrolledDevices ブール値 セットアップ アシスタント登録ポータル サイトに必要なデバイスが必要な場合を示します enrollmentProfile から継承
isDefault ブール型 (Boolean) これが既定のプロファイルかどうかを示します。
supervisedModeEnabled ブール値 監視モード、有効にする場合は True、それ以外の場合は false。 詳細については、「デバイスを Microsoft Intuneに登録する」を参照してください。
supportDepartment String サポート部門の情報
passCodeDisabled ブール値 パスコードのセットアップ ウィンドウが無効になっているかどうかを示します。
isMandatory ブール値 プロファイルが必須かどうかを示します。
locationDisabled ブール値 場所サービスのセットアップ ウィンドウが無効になっているかどうかを示します。
supportPhoneNumber String サポート電話番号
iTunesPairingMode iTunesPairingMode iTunes のペアリング モードを示します。 可能な値は disallowallowrequiresCertificate です。
profileRemovalDisabled Boolean プロファイルの削除オプションが無効になっているかどうかを示します。
managementCertificates managementCertificateWithThumbprint コレクション Apple Configurator の管理証明書
restoreBlocked Boolean [復元] セットアップ ウィンドウがブロックされたかどうかを示します。
restoreFromAndroidDisabled Boolean Android からの復元が無効になっているかどうかを示します。
appleIdDisabled ブール値 Apple ID セットアップ ウィンドウが無効になっているかどうかを示します。
termsAndConditionsDisabled ブール値 [条件] セットアップ ウィンドウが無効になっているかどうかを示します。
touchIdDisabled ブール値 タッチ ID のセットアップ ウィンドウが無効になっているかどうかを示します。
applePayDisabled Boolean Apple Pay セットアップ ウィンドウが無効になっているかどうかを示します。
zoomDisabled ブール値 ズーム設定ウィンドウが無効になっているかどうかを示します。
siriDisabled ブール値 Siri セットアップ ウィンドウが無効になっているかどうかを示します。
diagnosticsDisabled ブール値 診断セットアップ ウィンドウが無効になっているかどうかを示します。
macOSRegistrationDisabled Boolean Mac OS の登録が無効になっているかどうかを示します。
macOSFileVaultDisabled Boolean Mac OS ファイル コンテナーが無効になっているかどうかを示します。
awaitDeviceConfiguredConfirmation ブール値 デバイスが構成済みの確認を待つ必要があるかどうかを示します。
sharedIPadMaximumUserCount Int32 これは、共有ユーザーを使用できるユーザーの最大数をiPad。 共有モードでのみiPadできます。
enableSharedIPad ブール値 これは、マルチ ユーザー シナリオを有効にするモードでデバイスを登録するかどうかを示します。 共有 iPad にのみ適用されます。

応答

成功した場合、このメソッドは 200 OK 応答コードと、応答本文で 更新された depEnrollmentProfile オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles/{enrollmentProfileId}
Content-type: application/json
Content-length: 1354

{
  "@odata.type": "#microsoft.graph.depEnrollmentProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "passCodeDisabled": true,
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "iTunesPairingMode": "allow",
  "profileRemovalDisabled": true,
  "managementCertificates": [
    {
      "@odata.type": "microsoft.graph.managementCertificateWithThumbprint",
      "thumbprint": "Thumbprint value",
      "certificate": "Certificate value"
    }
  ],
  "restoreBlocked": true,
  "restoreFromAndroidDisabled": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "zoomDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "macOSRegistrationDisabled": true,
  "macOSFileVaultDisabled": true,
  "awaitDeviceConfiguredConfirmation": true,
  "sharedIPadMaximumUserCount": 10,
  "enableSharedIPad": true
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1403

{
  "@odata.type": "#microsoft.graph.depEnrollmentProfile",
  "id": "3d4534f7-34f7-3d45-f734-453df734453d",
  "displayName": "Display Name value",
  "description": "Description value",
  "requiresUserAuthentication": true,
  "configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
  "enableAuthenticationViaCompanyPortal": true,
  "requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
  "isDefault": true,
  "supervisedModeEnabled": true,
  "supportDepartment": "Support Department value",
  "passCodeDisabled": true,
  "isMandatory": true,
  "locationDisabled": true,
  "supportPhoneNumber": "Support Phone Number value",
  "iTunesPairingMode": "allow",
  "profileRemovalDisabled": true,
  "managementCertificates": [
    {
      "@odata.type": "microsoft.graph.managementCertificateWithThumbprint",
      "thumbprint": "Thumbprint value",
      "certificate": "Certificate value"
    }
  ],
  "restoreBlocked": true,
  "restoreFromAndroidDisabled": true,
  "appleIdDisabled": true,
  "termsAndConditionsDisabled": true,
  "touchIdDisabled": true,
  "applePayDisabled": true,
  "zoomDisabled": true,
  "siriDisabled": true,
  "diagnosticsDisabled": true,
  "macOSRegistrationDisabled": true,
  "macOSFileVaultDisabled": true,
  "awaitDeviceConfiguredConfirmation": true,
  "sharedIPadMaximumUserCount": 10,
  "enableSharedIPad": true
}